gdcm::Macro Class Reference

Class for representing a Macro. More...

`#include <gdcmMacro.h>`

## Public Types

typedef std::vector< std::string > | ArrayIncludeMacrosType
typedef std::map< Tag, MacroEntry > | MapModuleEntry

## Public Member Functions

| Macro ()=default
void | AddMacroEntry (const Tag &tag, const MacroEntry &module)
| Will add a ModuleEntry directly at root-level. See Macro for nested-included level.
void | Clear ()
bool | FindMacroEntry (const Tag &tag) const
const MacroEntry & | GetMacroEntry (const Tag &tag) const
const char * | GetName () const
void | SetName (const char *name)
bool | Verify (const DataSet &ds, Usage const &usage) const

## Friends

std::ostream & | operator<< (std::ostream &_os, const Macro &_val)

## Detailed Description

Class for representing a Macro.

Note
  Attribute Macro: a set of Attributes that are described in a single table that is referenced by multiple Module or other tables.

See also
  Module

## Member Typedef Documentation

## ArrayIncludeMacrosType

typedef std::vector<std::string> gdcm::Macro::ArrayIncludeMacrosType

## MapModuleEntry

typedef std::map<Tag, MacroEntry> gdcm::Macro::MapModuleEntry

## Constructor & Destructor Documentation

## Macro()

gdcm::Macro::Macro | ( |  | ) |

default

References Macro(), and operator<<.

Referenced by Macro(), and operator<<.

## Member Function Documentation

## AddMacroEntry()

void gdcm::Macro::AddMacroEntry | ( | const Tag & | tag,
|  | const MacroEntry & | module )

inline

Will add a ModuleEntry directly at root-level. See Macro for nested-included level.

## Clear()

void gdcm::Macro::Clear | ( |  | ) |

inline

## FindMacroEntry()

bool gdcm::Macro::FindMacroEntry | ( | const Tag & | tag | ) | const

Find or Get a ModuleEntry. ModuleEntry are either search are root-level or within nested-macro included in module.

## GetMacroEntry()

const MacroEntry & gdcm::Macro::GetMacroEntry | ( | const Tag & | tag | ) | const

## GetName()

const char * gdcm::Macro::GetName | ( |  | ) | const

inline

## SetName()

void gdcm::Macro::SetName | ( | const char * | name | ) |

inline

## Verify()

bool gdcm::Macro::Verify | ( | const DataSet & | ds,
|  | Usage const & | usage ) const

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | _os,
|  | const Macro & | _val )

friend

References Macro().

Referenced by Macro().

The documentation for this class was generated from the following file:

- gdcmMacro.h